io.milvus.bulkwriter.connect

## Class S3ConnectParam.Builder

- java.lang.Object
- - io.milvus.bulkwriter.connect.S3ConnectParam.Builder

Enclosing class:
  S3ConnectParam

    public static final class S3ConnectParam.Builder
    extends java.lang.Object

Builder for `S3ConnectParam` class.

### Method Summary

All Methods Instance Methods Concrete Methods
`S3ConnectParam` `build()` Verifies parameters and creates a new `S3ConnectParam` instance.
`S3ConnectParam.Builder` `withAccessKey(@NonNull java.lang.String accessKey)`
`S3ConnectParam.Builder` `withBucketName(@NonNull java.lang.String bucketName)` Sets the bucketName info.
`S3ConnectParam.Builder` `withCloudName(java.lang.String cloudName)` Sets the cloudName.
`S3ConnectParam.Builder` `withEndpoint(@NonNull java.lang.String endpoint)` Sets the endpoint.
`S3ConnectParam.Builder` `withHttpClient(@NonNull okhttp3.OkHttpClient httpClient)`
`S3ConnectParam.Builder` `withRegion(@NonNull java.lang.String region)`
`S3ConnectParam.Builder` `withSecretKey(@NonNull java.lang.String secretKey)`
`S3ConnectParam.Builder` `withSessionToken(@NonNull java.lang.String sessionToken)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### withCloudName

    public S3ConnectParam.Builder withCloudName(@NotNull
                                                java.lang.String cloudName)

Sets the cloudName.

Parameters:
  `cloudName` - cloud name
Returns:
  `Builder`

#### withBucketName

    public S3ConnectParam.Builder withBucketName(@NonNull
                                                 @NonNull java.lang.String bucketName)

Sets the bucketName info.

Parameters:
  `bucketName` - bucket info
Returns:
  `Builder`

#### withEndpoint

    public S3ConnectParam.Builder withEndpoint(@NonNull
                                               @NonNull java.lang.String endpoint)

Sets the endpoint.

Parameters:
  `endpoint` - endpoint info
Returns:
  `Builder`

#### withAccessKey

    public S3ConnectParam.Builder withAccessKey(@NonNull
                                                @NonNull java.lang.String accessKey)

#### withSecretKey

    public S3ConnectParam.Builder withSecretKey(@NonNull
                                                @NonNull java.lang.String secretKey)

#### withSessionToken

    public S3ConnectParam.Builder withSessionToken(@NonNull
                                                   @NonNull java.lang.String sessionToken)

#### withRegion

    public S3ConnectParam.Builder withRegion(@NonNull
                                             @NonNull java.lang.String region)

#### withHttpClient

    public S3ConnectParam.Builder withHttpClient(@NonNull
                                                 @NonNull okhttp3.OkHttpClient httpClient)

#### build

    public S3ConnectParam build()
                         throws ParamException

Verifies parameters and creates a new `S3ConnectParam` instance.

Returns:
  `S3ConnectParam`
Throws:
  `ParamException`